www/screws - The NetBSD Packages Collection

SCRipt Enhanced Web Server

Screws is an experimental web server with extensibility in mind. It's
designed in a little core that processes connections and petitions, setenv
the spected values and calls an external program or script that processes
this and shows what it wants. By this way it's possible to customize
every answer of the web server, and extend it as we want in a simple way.

Some features are:
 - UID/GID/CHROOT directives
 - Dynamic Module loading (security, optimization, extensions, etc..)
 - HSML (Embed scripts into HTML) Like PHP but using your prefered language.
 - Support for perl, sh, python, lua, brainfuck, Java...
 - Portable code: tested on Solaris, *BSD, GNU/Hurd, Darwin...
 - IPv4/IPv6 support

Build dependencies

pkgtools/cwrappers devel/gmake

Runtime dependencies

lang/perl5 lang/lua53

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfscrews-0.56nb27.tgz
NetBSD 8.0earmv7hfscrews-0.56nb26.tgz
NetBSD 8.0earmv7hfscrews-0.56nb27.tgz
NetBSD 8.0i386screws-0.56nb26.tgz
NetBSD 8.0i386screws-0.56nb27.tgz
NetBSD 8.0powerpcscrews-0.56nb26.tgz
NetBSD 8.0powerpcscrews-0.56nb27.tgz
NetBSD 8.0powerpcscrews-0.56nb27.tgz
NetBSD 8.0powerpcscrews-0.56nb27.tgz
NetBSD 8.0x86_64screws-0.56nb26.tgz
NetBSD 8.0x86_64screws-0.56nb27.tgz
NetBSD 9.0aarch64screws-0.56nb27.tgz
NetBSD 9.0aarch64screws-0.56nb26.tgz
NetBSD 9.0aarch64screws-0.56nb27.tgz
NetBSD 9.0alphascrews-0.56nb27.tgz
NetBSD 9.0alphascrews-0.56nb26.tgz
NetBSD 9.0alphascrews-0.56nb27.tgz
NetBSD 9.0earmv6hfscrews-0.56nb27.tgz
NetBSD 9.0earmv6hfscrews-0.56nb26.tgz
NetBSD 9.0earmv6hfscrews-0.56nb27.tgz
NetBSD 9.0earmv7hfscrews-0.56nb27.tgz
NetBSD 9.0earmv7hfscrews-0.56nb26.tgz
NetBSD 9.0earmv7hfscrews-0.56nb27.tgz
NetBSD 9.0earmv7hfscrews-0.56nb27.tgz
NetBSD 9.0i386screws-0.56nb26.tgz
NetBSD 9.0i386screws-0.56nb27.tgz
NetBSD 9.0i386screws-0.56nb27.tgz
NetBSD 9.0mips64ebscrews-0.56nb27.tgz
NetBSD 9.0mips64ebscrews-0.56nb26.tgz
NetBSD 9.0mips64ebscrews-0.56nb26.tgz
NetBSD 9.0mips64ebscrews-0.56nb27.tgz
NetBSD 9.0powerpcscrews-0.56nb27.tgz
NetBSD 9.0powerpcscrews-0.56nb26.tgz
NetBSD 9.0powerpcscrews-0.56nb27.tgz
NetBSD 9.0powerpcscrews-0.56nb27.tgz
NetBSD 9.0sparc64screws-0.56nb27.tgz
NetBSD 9.0sparc64screws-0.56nb26.tgz
NetBSD 9.0sparc64screws-0.56nb27.tgz
NetBSD 9.0sparcscrews-0.56nb27.tgz
NetBSD 9.0sparcscrews-0.56nb26.tgz
NetBSD 9.0sparcscrews-0.56nb26.tgz
NetBSD 9.0sparcscrews-0.56nb27.tgz
NetBSD 9.0x86_64screws-0.56nb27.tgz
NetBSD 9.0x86_64screws-0.56nb27.tgz
NetBSD 9.0x86_64screws-0.56nb26.tgz
NetBSD 9.0x86_64screws-0.56nb27.tgz
NetBSD 9.0x86_64screws-0.56nb27.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

inet6
Enable support for IPv6.
lua
Enable Lua support.
ssl
Enable SSL support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.